package org.aaaa.impl;

import static org.junit.Assert.*;

import java.util.Random;

import org.aaaa.HelloWorldService;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations={"classpath:/OSGI-INF/blueprint/blueprint.xml"})
public class HelloWorldServiceIT {
	
	@Autowired
	private HelloWorldService helloService;	
	
	private static final Random random = new Random();

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testSayHello() {
		String name = createUniqueName("Rigas");
		String reply = helloService.sayHello(name);
		assertNotNull(reply);
		assertEquals("Hello " + name, reply);
	}
	
	private String createUniqueName(String name) {
		String result = name != null ? name : "";
		result += random.nextInt();
		return result;
	}

}
