package org.aaaa.impl;

import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Aspect
public class Aspects {
	
	private static final Logger LOG = LoggerFactory.getLogger(Aspects.class);
	
	@Before("pointcut()")
	public void afterOnUp() throws Throwable {
		LOG.info("sayHello called");		
		
	}
	
	@Pointcut("execution(public String sayHello(..))")
	public void pointcut() {}

}
