package org.aaaa.impl;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class HelloWorldServiceImplTest {
	
	private HelloWorldServiceImpl helloService;
	private static final String GREETING = "Hello";

	@Before
	public void setUp() throws Exception {
		helloService = new HelloWorldServiceImpl();
		helloService.setGreeting(GREETING);
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testSayHello() {
		String reply = helloService.sayHello("Rigas");
		assertNotNull(reply);
		assertEquals(GREETING + " Rigas", reply);
	}


}
